import { StreamableFile } from '@nestjs/common';
import { AuthDto } from "../dtos/auth.dto";
import { DownloadArchiveDto, DownloadInfoDto, DownloadResponseDto } from "../dtos/download.dto";
import { DownloadService } from "../services/download.service";
export declare class DownloadController {
    private service;
    constructor(service: DownloadService);
    getDownloadInfo(auth: AuthDto, dto: DownloadInfoDto): Promise<DownloadResponseDto>;
    downloadArchive(auth: AuthDto, dto: DownloadArchiveDto): Promise<StreamableFile>;
}
